For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filtering team members

Below is a list of attributes available for filtering team members.

Attribute
Type

username

string

firstName

string

lastName

string

role

string

Example - Get all team member for one role

In the example below, we will request to get all team members with the role of analyst.

curl -X GET https://api.complycube.com/v1/teamMembers?role=analyst \
     -H 'Authorization: <YOUR_API_KEY>'
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

team_members = cc_api.teammembers.list(role='administrator')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$client = $ccapi->teamMembers()->list(['role' => 'administrator']);
using ComplyCube.Net;
using ComplyCube.Net.Resources.TeamMembers;

var teamMemberApi = new TeamMemberApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var teamMemberRequest = new TeamMemberRequest { role = "administrator" };

var teamMembers = await teamMemberApi.ListAsync(teamMemberRequest);